> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/noter-pins/27.-mutation-gem-note-knyttet-til-soildataset.md).

# 27. Mutation: Gem "Note" knyttet til "SoilDataset"

Denne mutation giver dig mulighed for at vedhæfte en note til et angivet jorddatasæt.

* En Note kan linkes til Marken via dens unikke identifikator `fieldUuid` og til det tilknyttede jorddatasæt via `soilDatasetUuid`.
* Koordinaten for Noten kan indstilles ved hjælp af `centroid` attribut, som kræver defineret `breddegrad` og `længdegrad` værdier.&#x20;
* Typen af Note kan angives ved hjælp af `type` attribut med acceptable værdier `PLANNED` eller `REAL`.&#x20;
* Beskrivelsen af Noten kan angives ved hjælp af `comment` attribut. Hvis beskrivelsen skal være flersproget, skal `comment` attributten indeholde en streng med nye linjetegn `\\n` for at adskille linjer. For eksempel: `"Første linje. er her\\nAnden linje er her.\\nTredje linje er her."`.

Eksempelforespørgslerne kan findes nedenfor:

```graphql
mutation SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Testnoten vedhæftet jorddatasættet",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      breddegrad
      længdegrad
    }
    oprettetDato
    updatedDate
    type
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Første linje er her\\nAnden linje er her.\\nTredje linje er her.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      breddegrad
      længdegrad
    }
    oprettetDato
    updatedDate
    type
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/noter-pins/27.-mutation-gem-note-knyttet-til-soildataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
